Bug 592581 - About Me still does not set correct permissions on ~/.face
About Me still does not set correct permissions on ~/.face
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-15 10:30 EDT by Adam Drew
Modified: 2013-03-04 00:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:23:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Drew 2010-05-15 10:30:53 EDT
Description of problem:
gnome-about-me allows a user to assign a custom picture to their account profile. That picture is placed at ~/.face. GDM then uses ~/.face to display that user's picture at the login menu. The permissions on ~/.face must be 775 (or possible more permissive.) gnome-about-me does no set the appropriate permissions on ~/.face so GDM is unable to display the user's picture. Changing the permissions by-hand results in the correct picture being displayed at login time in GDM.

Version-Release number of selected component (if applicable):
control-center-2.30.1-2.fc13.i686 (and every many previous versions too I believe)

How reproducible:
100% reproducible. 

Steps to Reproduce:
1. Create user
2. Assign user a picture in gnome-about-me
3. Return to GDM and see picture is not there
4. Log back in as user
5. Issue "chmod 775 ~/.face"
6. Return to GDM and see that picture is there 

Actual results:
No custom user picture at login time

Expected results:
Custom picture at login time without resorting to the command line

Additional info:
I'm pretty sure this problem has been around for a long while.
Comment 1 Bug Zapper 2011-06-02 10:00:06 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 12:23:02 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.